# Generated by Django 2.2.16 on 2020-11-03 08:57

import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.image


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0022_auto_20180620_1551'),
        ('taggit', '0003_taggeditem_add_unique_index'),
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='SectionSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cms_box_sectionsettings', serialize=False, to='cms.CMSPlugin')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('template_name', models.CharField(choices=settings.CMS_BOX_SECTION_TEMPLATE_CHOICES, default=settings.CMS_BOX_SECTION_TEMPLATE_DEFAULT, max_length=255, verbose_name='template')),
                ('description', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='description')),
                ('cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='call to action label')),
                ('cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='call to action link')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_sectionsettings_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('image', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.FILER_IMAGE_MODEL, verbose_name='image')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_sectionsettings_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'section',
                'verbose_name_plural': 'sections',
                'ordering': ('ordering', 'title'),
                'permissions': (('list_section', 'Can list section'), ('detail_section', 'Can detail section'), ('disable_section', 'Can disable section')),
            },
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.CreateModel(
            name='ModelBoxSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cms_box_modelboxsettings', serialize=False, to='cms.CMSPlugin')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='description')),
                ('first_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='first call to action label')),
                ('first_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='first call to action link')),
                ('second_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='second call to action label')),
                ('second_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='second call to action link')),
                ('third_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='third call to action label')),
                ('third_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='third call to action link')),
                ('external_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='external call to action label')),
                ('external_cta_link', models.URLField(blank=True, null=True, verbose_name='external call to action link')),
                ('template_name', models.CharField(choices=settings.CMS_BOX_MODEL_BOX_TEMPLATE_CHOICES, default=settings.CMS_BOX_MODEL_BOX_TEMPLATE_DEFAULT, max_length=255, verbose_name='template')),
                ('filter', models.CharField(blank=True, max_length=255, choices=settings.CMS_BOX_MODEL_BOX_FILTER_CHOICES, verbose_name='filter')),
                ('order_by', models.CharField(default=settings.CMS_BOX_MODEL_BOX_ORDER_BY_DEFAULT, max_length=255, verbose_name='order by')),
                ('objects_number', models.IntegerField(default=settings.CMS_BOX_MODEL_BOX_OBJECTS_NUMBER_DEFAULT, verbose_name='objects number')),
                ('typology', models.CharField(blank=True, choices=settings.DOCUMENT_MEDIA_TYPOLOGY_CHOICES, max_length=3, verbose_name='typology')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_modelboxsettings_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('image', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.FILER_IMAGE_MODEL, verbose_name='image')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_modelboxsettings_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('tags', models.ManyToManyField(blank=True, related_name='model_box_settings', to='taggit.Tag', verbose_name='tags')),
            ],
            options={
                'verbose_name': 'model box',
                'verbose_name_plural': 'model boxes',
                'ordering': ('ordering', 'title'),
                'permissions': (('list_modelbox', 'Can list model box'), ('detail_modelbox', 'Can detail model box'), ('disable_modelbox', 'Can disable model box')),
            },
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.CreateModel(
            name='FilterBoxSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cms_box_filterboxsettings', serialize=False, to='cms.CMSPlugin')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='description')),
                ('first_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='first call to action label')),
                ('first_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='first call to action link')),
                ('second_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='second call to action label')),
                ('second_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='second call to action link')),
                ('third_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='third call to action label')),
                ('third_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='third call to action link')),
                ('external_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='external call to action label')),
                ('external_cta_link', models.URLField(blank=True, null=True, verbose_name='external call to action link')),
                ('template_name', models.CharField(choices=settings.CMS_BOX_FILTER_BOX_TEMPLATE_CHOICES, default=settings.CMS_BOX_FILTER_BOX_TEMPLATE_DEFAULT, max_length=255, verbose_name='template')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_filterboxsettings_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('image', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.FILER_IMAGE_MODEL, verbose_name='image')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_filterboxsettings_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('tags', models.ManyToManyField(blank=True, related_name='filter_box_settings', to='taggit.Tag', verbose_name='tags')),
            ],
            options={
                'verbose_name': 'filter box',
                'verbose_name_plural': 'filter boxes',
                'ordering': ('ordering', 'title'),
                'permissions': (('list_filterbox', 'Can list filter box'), ('detail_filterbox', 'Can detail filter box'), ('disable_filterbox', 'Can disable filter box')),
            },
            bases=('cms.cmsplugin', models.Model),
        ),
        migrations.CreateModel(
            name='BoxSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='cms_box_boxsettings', serialize=False, to='cms.CMSPlugin')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('description', ckeditor.fields.RichTextField(blank=True, null=True, verbose_name='description')),
                ('first_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='first call to action label')),
                ('first_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='first call to action link')),
                ('second_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='second call to action label')),
                ('second_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='second call to action link')),
                ('third_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='third call to action label')),
                ('third_cta_link', models.CharField(blank=True, max_length=255, null=True, verbose_name='third call to action link')),
                ('external_cta_label', models.CharField(blank=True, max_length=255, null=True, verbose_name='external call to action label')),
                ('external_cta_link', models.URLField(blank=True, null=True, verbose_name='external call to action link')),
                ('template_name', models.CharField(choices=settings.CMS_BOX_BOX_TEMPLATE_CHOICES, default=settings.CMS_BOX_BOX_TEMPLATE_DEFAULT, max_length=255, verbose_name='template')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_boxsettings_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('image', filer.fields.image.FilerImageField(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.FILER_IMAGE_MODEL, verbose_name='image')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='cms_box_boxsettings_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'box',
                'verbose_name_plural': 'boxes',
                'ordering': ('ordering', 'title'),
                'permissions': (('list_box', 'Can list box'), ('detail_box', 'Can detail box'), ('disable_box', 'Can disable box')),
            },
            bases=('cms.cmsplugin', models.Model),
        ),
    ]
